net.i2p.router.web.helpers

## Class ConfigTunnelsHandler

- java.lang.Object
- - net.i2p.router.web.FormHandler
  - - net.i2p.router.web.helpers.ConfigTunnelsHandler

-     public class ConfigTunnelsHandler
      extends FormHandler

  Handler to deal with form submissions from the tunnel config form and act upon the values.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.i2p.router.web.FormHandler

      `FormHandler.Message`

  - ### Field Summary

    - ### Fields inherited from class net.i2p.router.web.FormHandler

      `_action, _context, _log, _method, _out, _requestWrapper, _settings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigTunnelsHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `processForm()` Implement this to perform the final processing (in turn, adding formNotice and formError messages, etc) Will only be called if _action is non-null and the nonce is valid.
    `void` | `setShouldsave(String moo)`

    - ### Methods inherited from class net.i2p.router.web.FormHandler

      `_t, _t, _t, _x, addFormError, addFormError, addFormErrorNoEscape, addFormErrorNoEscape, addFormNotice, addFormNotice, addFormNoticeNoEscape, addFormNoticeNoEscape, getAllMessages, getErrors, getJettyString, getNewNonce, getNotices, isAdvanced, setAction, setContextId, setNonce, setRequestWrapper, setSettings, storeMethod, storeNonces, storeWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigTunnelsHandler

          public ConfigTunnelsHandler()

  - ### Method Detail

    - #### processForm

          protected void processForm()

      Description copied from class: `FormHandler`
      Implement this to perform the final processing (in turn, adding formNotice and formError messages, etc) Will only be called if _action is non-null and the nonce is valid.
      Specified by:
        `processForm` in class `FormHandler`

    - #### setShouldsave

          public void setShouldsave(String moo)